	if RequiredScript == "lib/tweak_data/weaponfactorytweakdata" then
    Hooks:PostHook(WeaponFactoryTweakData, "init", "YourModNameInit", function(self)
	self.parts.wpn_fps_bow_hunter_b_carbon = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "barrel",
		name_id = "bm_wp_bow_hunter_b_carbon",
		a_obj = "a_b",
		unit = "units/pd2_dlc_turtles/weapons/wpn_fps_bow_hunter_pts/wpn_fps_bow_hunter_b_carbon",
		stats = {value = 1,spread = 1, recoil = -1},
		texture_bundle_folder = "turtles",
		dlc = "turtles",
		animations = {reload = "recoil"}
	}
	self.parts.wpn_fps_bow_hunter_b_skeletal = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "barrel",
		name_id = "bm_wp_bow_hunter_b_skeletal",
		a_obj = "a_b",
		unit = "units/pd2_dlc_turtles/weapons/wpn_fps_bow_hunter_pts/wpn_fps_bow_hunter_b_skeletal",
		stats = {value = 1, spread = -1, concealment = 1},
		texture_bundle_folder = "turtles",
		dlc = "turtles",
		animations = {reload = "recoil"}
	}
	self.parts.wpn_fps_snp_wa2000_g_light = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "grip",
		name_id = "bm_wp_wa2000_g_light",
		a_obj = "a_g",
		unit = "units/pd2_dlc_turtles/weapons/wpn_fps_snp_wa2000_pts/wpn_fps_snp_wa2000_g_light",
		stats = {
			value = 1,
			spread = -1,
			concealment = 2
		},
		texture_bundle_folder = "turtles",
		dlc = "turtles"
	}
	self.parts.wpn_fps_snp_wa2000_g_stealth = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "grip",
		name_id = "bm_wp_wa2000_g_stealth",
		a_obj = "a_g",
		unit = "units/pd2_dlc_turtles/weapons/wpn_fps_snp_wa2000_pts/wpn_fps_snp_wa2000_g_stealth",
		stats = {
			value = 1,
			recoil = 1,
			concealment = 1
		},
		texture_bundle_folder = "turtles",
		dlc = "turtles"
	}
	self.parts.wpn_fps_snp_wa2000_g_walnut = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "grip",
		name_id = "bm_wp_wa2000_g_walnut",
		a_obj = "a_g",
		unit = "units/pd2_dlc_turtles/weapons/wpn_fps_snp_wa2000_pts/wpn_fps_snp_wa2000_g_walnut",
		stats = {
			value = 1,
			recoil = 1,
			spread = 1,
			concealment = -2
		},
		texture_bundle_folder = "turtles",
		dlc = "turtles"
	}
	self.parts.wpn_fps_bow_hunter_g_camo = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "grip",
		name_id = "bm_wp_bow_hunter_g_camo",
		a_obj = "a_g",
		unit = "units/pd2_dlc_turtles/weapons/wpn_fps_bow_hunter_pts/wpn_fps_bow_hunter_g_camo",
		stats = {value = 1,recoil = -1, concealment = 1},
		texture_bundle_folder = "turtles",
		dlc = "turtles"
	}
	self.parts.wpn_fps_bow_hunter_g_standard = {
		type = "grip",
		name_id = "bm_wp_standard",
		a_obj = "a_g",
		unit = "units/pd2_dlc_turtles/weapons/wpn_fps_bow_hunter_pts/wpn_fps_bow_hunter_g_standard",
		stats = {value = 1}
	}
	self.parts.wpn_fps_bow_hunter_g_walnut = {
		pcs = {
			10,
			20,
			30,
			40
		},
		type = "grip",
		name_id = "bm_wp_bow_hunter_g_walnut",
		a_obj = "a_g",
		unit = "units/pd2_dlc_turtles/weapons/wpn_fps_bow_hunter_pts/wpn_fps_bow_hunter_g_walnut",
		stats = {value = 1,spread = 1,recoil = 1, concealment = -1},
		texture_bundle_folder = "turtles",
		dlc = "turtles"
	}
	end)
end